pipelines:
  default:
    - step:
        name: Build and run tests for PHP 5.6 ZTS
        image: php:5.6-zts
        script:
            - phpize
            - ./configure --enable-ev
            - make test
    - step:
        name: Build and run tests for PHP 5.6 NTS
        image: php:5.6-cli
        script:
            - phpize
            - ./configure --enable-ev
            - make test
    - step:
        name: Build and run tests for PHP 7.4
        image: php:7.4-cli
        script:
            - docker-php-ext-install sockets
            - sockets_ini=$(php -i | grep -m 1 -o -E '/.*sockets\.ini') && test -z "$sockets_ini" || mv -v "$sockets_ini" "$(echo "$sockets_ini" | sed -e 's/sockets.ini/0-sockets.ini/')"
            - docker-php-source extract
            - phpize
            - ./configure --enable-ev
            - make install
            - echo 'extension=ev.so' > /usr/local/etc/php/conf.d/z-ev.ini
            - NO_INTERACTION=1 TEST_PHP_EXECUTABLE=$(which php) php run-tests.php
            - docker-php-source delete
    - step:
        name: Build and run tests for PHP 8.0.1
        image: php:8.0.1-cli
        script:
            - docker-php-ext-install sockets
            - sockets_ini=$(php -i | grep -m 1 -o -E '/.*sockets\.ini') && test -z "$sockets_ini" || mv -v "$sockets_ini" "$(echo "$sockets_ini" | sed -e 's/sockets.ini/0-sockets.ini/')"
            - docker-php-source extract
            - phpize
            - ./configure --enable-ev
            - make install
            - echo 'extension=ev.so' > /usr/local/etc/php/conf.d/z-ev.ini
            - NO_INTERACTION=1 TEST_PHP_EXECUTABLE=$(which php) php run-tests.php
            - docker-php-source delete
